Obter um mapeamento de ator
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/governance/actor-mappings/{actorId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/governance/actor-mappings/{actorId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/governance/actor-mappings/{actorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actorId": "user-abc-123",
"displayName": "John Doe",
"email": "john.doe@company.com",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "The request contains invalid parameters or malformed syntax. Please check your request and try again."
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0004",
"title": "Forbidden",
"message": "You do not have the necessary permissions to perform this action. Please contact your administrator if you believe this is an error."
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0002",
"title": "Internal Server Error",
"message": "internal server error"
}Obter um mapeamento de ator
Use este endpoint para recuperar o nome de exibição e o e-mail mapeados para um identificador de ator específico.
GET
/
v1
/
governance
/
actor-mappings
/
{actorId}
Obter um mapeamento de ator
Autorizações
Autenticação por Bearer token (formato: "Bearer {token}")
Cabeçalhos
A unique identifier for tracing the request across services.
Parâmetros de caminho
The actor identifier.
Resposta
Mapeamento de ator recuperado com sucesso
Um mapeamento de ator que associa um identificador de sistema a informações de exibição
O identificador do ator
Exemplo:
"user-abc-123"
Nome de exibição legível
Exemplo:
"John Doe"
Endereço de e-mail
Exemplo:
"john.doe@company.com"
Timestamp de criação do mapeamento
Timestamp da última atualização do mapeamento
Esta página foi útil?

